import * as t from 'io-ts';
import { InstallerEventNames } from '../constants';
import { ExtractSchemaTypes } from '../schemas';
export declare const CreateDnsRecordSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.createDnsRecord>;
        payload: t.TypeC<{
            userId: t.StringC;
            records: t.ArrayC<t.TypeC<{
                alias: t.StringC;
                domainId: t.StringC;
            }>>;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: unknown;
};
export declare type CreateDnsRecord = ExtractSchemaTypes<typeof CreateDnsRecordSchema>;
export declare const DeleteDnsRecordSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.deleteDnsRecord>;
        payload: t.TypeC<{
            userId: t.StringC;
            records: t.ArrayC<t.TypeC<{
                alias: t.StringC;
            }>>;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: unknown;
};
export declare type DeleteDnsRecord = ExtractSchemaTypes<typeof DeleteDnsRecordSchema>;
export declare const ListDnsRecordsSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.listDnsRecords>;
        payload: t.UnknownRecordC;
    }>;
    Result: t.AnyC;
    ArgumentsTransformer: unknown;
};
export declare type ListDnsRecords = ExtractSchemaTypes<typeof ListDnsRecordsSchema>;
