import * as t from 'io-ts';
import { ExtractSchemaTypes } from '../schemas';
import { FactoryEventNames } from '../constants';
export declare const DescribeEventStoreSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<FactoryEventNames.describeEventStore>;
        payload: t.TypeC<{
            version: t.StringC;
            user: t.TypeC<{
                userId: t.StringC;
                password: t.StringC;
                secretName: t.StringC;
                secretArn: t.StringC;
            }>;
            eventStoreId: t.StringC;
            eventStoreClusterArn: t.StringC;
            postgresAdminSecretArn: t.StringC;
            eventStoreClusterEndpoint: t.StringC;
            eventStoreClusterPort: t.NumberC;
            postgresAdminUsername: t.StringC;
            postgresAdminPassword: t.StringC;
        }>;
    }>;
    Result: t.TypeC<{
        events: t.UnionC<[t.NumberC, t.NullC]>;
        secrets: t.UnionC<[t.NumberC, t.NullC]>;
        modifiedAt: t.UnionC<[t.NumberC, t.NullC]>;
        createdAt: t.UnionC<[t.NumberC, t.NullC]>;
        isFrozen: t.UnionC<[t.BooleanC, t.NullC]>;
    }>;
    ArgumentsTransformer: unknown;
};
export declare type DescribeEventStore = ExtractSchemaTypes<typeof DescribeEventStoreSchema>;
export declare const UploadEventsToS3Schema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<FactoryEventNames.uploadEventsToS3>;
        payload: t.IntersectionC<[t.TypeC<{
            version: t.StringC;
            user: t.TypeC<{
                userId: t.StringC;
                password: t.StringC;
                secretName: t.StringC;
                secretArn: t.StringC;
            }>;
            eventStoreId: t.StringC;
            eventStoreClusterEndpoint: t.StringC;
            eventStoreClusterPort: t.NumberC;
            bucketName: t.StringC;
            databaseName: t.StringC;
        }>, t.PartialC<{
            cursor: t.UnionC<[t.StringC, t.NullC]>;
            uploadId: t.UnionC<[t.StringC, t.NullC]>;
            parts: t.ArrayC<t.AnyC>;
            partNumber: t.NumberC;
            done: t.BooleanC;
        }>]>;
    }>;
    Result: t.TypeC<{
        name: t.LiteralC<FactoryEventNames.uploadEventsToS3>;
        payload: t.IntersectionC<[t.TypeC<{
            version: t.StringC;
            user: t.TypeC<{
                userId: t.StringC;
                password: t.StringC;
                secretName: t.StringC;
                secretArn: t.StringC;
            }>;
            eventStoreId: t.StringC;
            eventStoreClusterEndpoint: t.StringC;
            eventStoreClusterPort: t.NumberC;
            bucketName: t.StringC;
            databaseName: t.StringC;
        }>, t.PartialC<{
            cursor: t.UnionC<[t.StringC, t.NullC]>;
            uploadId: t.UnionC<[t.StringC, t.NullC]>;
            parts: t.ArrayC<t.AnyC>;
            partNumber: t.NumberC;
            done: t.BooleanC;
        }>]>;
    }>;
    ArgumentsTransformer: unknown;
};
export declare type UploadEventsToS3 = ExtractSchemaTypes<typeof UploadEventsToS3Schema>;
