import * as t from 'io-ts';
import { InstallerEventNames } from '../constants';
import { ExtractSchemaTypes } from '../schemas';
export declare const DescribeRDSClustersSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.describeRDSClusters>;
        payload: t.UnknownRecordC;
    }>;
    Result: t.TypeC<{
        eventStoreClusterArn: t.UnionC<[t.StringC, t.NullC]>;
        eventStoreClusterEndpoint: t.UnionC<[t.StringC, t.NullC]>;
        eventStoreClusterPort: t.UnionC<[t.NumberC, t.NullC]>;
        readModelsClusterArn: t.UnionC<[t.StringC, t.NullC]>;
        readModelsClusterEndpoint: t.UnionC<[t.StringC, t.NullC]>;
        readModelsClusterPort: t.UnionC<[t.NumberC, t.NullC]>;
        systemClusterArn: t.UnionC<[t.StringC, t.NullC]>;
        postgresAdminUsername: t.StringC;
        postgresAdminPassword: t.StringC;
        postgresAdminSecretName: t.StringC;
        postgresAdminSecretArn: t.StringC;
        systemDatabaseName: t.StringC;
    }>;
    ArgumentsTransformer: unknown;
};
export declare type DescribeRDSClusters = ExtractSchemaTypes<typeof DescribeRDSClustersSchema>;
export declare const EnsureRdsUserSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.ensureRdsUser>;
        payload: t.TypeC<{
            userId: t.StringC;
        }>;
    }>;
    Result: t.TypeC<{
        user: t.TypeC<{
            userId: t.StringC;
            password: t.StringC;
            secretName: t.StringC;
            secretArn: t.StringC;
        }>;
        eventStoreClusterArn: t.StringC;
        eventStoreClusterEndpoint: t.StringC;
        eventStoreClusterPort: t.NumberC;
        readModelsClusterArn: t.StringC;
        readModelsClusterEndpoint: t.StringC;
        readModelsClusterPort: t.NumberC;
        postgresAdminPassword: t.StringC;
        postgresAdminSecretArn: t.StringC;
        postgresAdminSecretName: t.StringC;
        postgresAdminUsername: t.StringC;
    }>;
    ArgumentsTransformer: unknown;
};
export declare type EnsureRdsUser = ExtractSchemaTypes<typeof EnsureRdsUserSchema>;
