import * as t from 'io-ts';
import { ExtractSchemaTypes } from '../schemas';
import { InstallerEventNames } from '../constants';
export declare const EnsureRuntimeSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.ensureRuntime>;
        payload: t.TypeC<{
            version: t.StringC;
        }>;
    }>;
    Result: t.TypeC<{
        layerVersionArn: t.StringC;
    }>;
    ArgumentsTransformer: unknown;
};
export declare type EnsureRuntime = ExtractSchemaTypes<typeof EnsureRuntimeSchema>;
export declare const SwitchApplicationsRuntimeSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.switchApplicationsRuntime>;
        payload: t.IntersectionC<[t.TypeC<{
            version: t.StringC;
        }>, t.PartialC<{
            layerVersionArn: t.StringC;
        }>]>;
    }>;
    Result: t.TypeC<{
        updatedFunctions: t.ArrayC<t.StringC>;
    }>;
    ArgumentsTransformer: unknown;
};
export declare type SwitchApplicationsRuntime = ExtractSchemaTypes<typeof SwitchApplicationsRuntimeSchema>;
export declare const FindRuntimeSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.findRuntime>;
        payload: t.IntersectionC<[t.TypeC<{
            version: t.StringC;
        }>, t.PartialC<{
            layerVersionArn: t.StringC;
        }>]>;
    }>;
    Result: t.TypeC<{
        layerVersionArn: t.UnionC<[t.StringC, t.NullC]>;
    }>;
    ArgumentsTransformer: unknown;
};
export declare type FindRuntime = ExtractSchemaTypes<typeof FindRuntimeSchema>;
