import * as t from 'io-ts';
import { InstallerEventNames } from '../constants';
import { ExtractSchemaTypes } from '../schemas';
export declare const InstallStageResourcesSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.installStageResources>;
        payload: t.UnknownRecordC;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: unknown;
};
export declare type InstallStageResources = ExtractSchemaTypes<typeof InstallStageResourcesSchema>;
export declare const UninstallStageResourcesSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.uninstallStageResources>;
        payload: t.TypeC<{
            skipS3: t.BooleanC;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: unknown;
};
export declare type UninstallStageResources = ExtractSchemaTypes<typeof UninstallStageResourcesSchema>;
