import * as t from 'io-ts';
import { InstallerEventNames } from '../../constants';
import { ExtractSchemaTypes } from '../../schemas';
export declare const AuthLoginSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "POST";
    Mode: "SYNC";
    Params: t.TypeC<{}>;
    Body: t.TypeC<{
        userName: t.StringC;
        password: t.StringC;
    }>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.authLogin>;
        payload: t.UnknownRecordC;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: (args: {
        userName: string;
        password: string;
    }) => {
        params: {};
        body: {
            userName: string;
            password: string;
        };
        query: {};
    };
};
export declare type AuthLogin = ExtractSchemaTypes<typeof AuthLoginSchema>;
export declare const AuthLogoutSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "POST";
    Mode: "SYNC";
    Params: t.TypeC<{}>;
    Body: t.TypeC<{}>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.authLogout>;
        payload: t.UnknownRecordC;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: (args?: {} & {} & {}) => {
        params: {};
        body: {};
        query: {};
    };
};
export declare type AuthLogout = ExtractSchemaTypes<typeof AuthLogoutSchema>;
export declare const AuthRefreshTokenSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "POST";
    Mode: "SYNC";
    Params: t.TypeC<{}>;
    Body: t.TypeC<{}>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.authRefreshToken>;
        payload: t.UnknownRecordC;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: (args?: {} & {} & {}) => {
        params: {};
        body: {};
        query: {};
    };
};
export declare type AuthRefreshToken = ExtractSchemaTypes<typeof AuthRefreshTokenSchema>;
export declare const AuthAuthWhoAmISchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "GET";
    Mode: "SYNC";
    Params: t.TypeC<{}>;
    Body: t.TypeC<{}>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.authWhoAmI>;
        payload: t.TypeC<{
            userId: t.StringC;
            userName: t.StringC;
            isAdmin: t.BooleanC;
        }>;
    }>;
    Result: t.TypeC<{
        userId: t.StringC;
        userName: t.StringC;
        isAdmin: t.BooleanC;
    }>;
    ArgumentsTransformer: (args?: {} & {} & {}) => {
        params: {};
        body: {};
        query: {};
    };
};
export declare type AuthAuthWhoAmI = ExtractSchemaTypes<typeof AuthAuthWhoAmISchema>;
