import * as t from 'io-ts';
import { InstallerEventNames } from '../../constants';
import { ExtractSchemaTypes } from '../../schemas';
export declare const EnsureCertificateSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "PUT";
    Mode: "ASYNC";
    Params: t.TypeC<{}>;
    Body: t.IntersectionC<[t.TypeC<{
        certificate: t.StringC;
        key: t.StringC;
    }>, t.PartialC<{
        certificateId: t.StringC;
        chain: t.StringC;
    }>]>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.ensureCertificate>;
        payload: t.IntersectionC<[t.TypeC<{
            userId: t.StringC;
            certificate: t.StringC;
            key: t.StringC;
        }>, t.PartialC<{
            certificateId: t.StringC;
            chain: t.StringC;
        }>]>;
    }>;
    Result: t.StringC;
    ArgumentsTransformer: ({ certificateId, certificate, key, chain }: {} & {
        certificate: string;
        key: string;
    } & {
        certificateId?: string | undefined;
        chain?: string | undefined;
    } & {}) => {
        params: {};
        body: {
            certificateId: string | undefined;
            certificate: string;
            key: string;
            chain: string | undefined;
        };
        query: {};
    };
};
export declare type EnsureCertificate = ExtractSchemaTypes<typeof EnsureCertificateSchema>;
export declare const DropCertificateSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "DELETE";
    Mode: "ASYNC";
    Params: t.TypeC<{
        certificateId: t.StringC;
    }>;
    Body: t.TypeC<{}>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.dropCertificate>;
        payload: t.TypeC<{
            userId: t.StringC;
            certificateId: t.StringC;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: ({ certificateId }: {
        certificateId: string;
    } & {} & {}) => {
        params: {
            certificateId: string;
        };
        body: {};
        query: {};
    };
};
export declare type DropCertificate = ExtractSchemaTypes<typeof DropCertificateSchema>;
export declare const ListCertificatesSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "GET";
    Mode: "SYNC";
    Params: t.TypeC<{}>;
    Body: t.TypeC<{}>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.listCertificates>;
        payload: t.TypeC<{
            userId: t.StringC;
        }>;
    }>;
    Result: t.ArrayC<t.IntersectionC<[t.TypeC<{
        certificateId: t.StringC;
        additionalNames: t.ArrayC<t.StringC>;
        resourceARN: t.StringC;
    }>, t.PartialC<{
        domainName: t.StringC;
        importedAt: t.StringC;
        issuer: t.StringC;
        notBefore: t.StringC;
        notAfter: t.StringC;
    }>]>>;
    ArgumentsTransformer: (args?: {} & {} & {}) => {
        params: {};
        body: {};
        query: {};
    };
};
export declare type ListCertificates = ExtractSchemaTypes<typeof ListCertificatesSchema>;
