import * as t from 'io-ts';
import { InstallerEventNames } from '../../constants';
import { ExtractSchemaTypes } from '../../schemas';
export declare const HeartbeatSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "HEAD";
    Mode: "SYNC";
    Params: t.TypeC<{}>;
    Body: t.TypeC<{}>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.heartbeat>;
        payload: t.VoidC;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: (args?: {} & {} & {}) => {
        params: {};
        body: {};
        query: {};
    };
};
export declare type Heartbeat = ExtractSchemaTypes<typeof HeartbeatSchema>;
export declare const ListVersionsSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "GET";
    Mode: "SYNC";
    Params: t.TypeC<{}>;
    Body: t.TypeC<{}>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.listVersions>;
        payload: t.UnknownRecordC;
    }>;
    Result: t.ArrayC<t.StringC>;
    ArgumentsTransformer: (args?: {} & {} & {}) => {
        params: {};
        body: {};
        query: {};
    };
};
export declare type ListVersions = ExtractSchemaTypes<typeof ListVersionsSchema>;
export declare const DescribeExecutionSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "GET";
    Mode: "SYNC";
    Params: t.TypeC<{
        executionId: t.StringC;
    }>;
    Body: t.TypeC<{}>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.describeExecution>;
        payload: t.TypeC<{
            executionId: t.StringC;
            userId: t.StringC;
        }>;
    }>;
    Result: t.TypeC<{
        status: t.UnionC<[t.LiteralC<"RUNNING">, t.LiteralC<"SUCCEEDED">, t.LiteralC<"FAILED">, t.LiteralC<"TIMED_OUT">, t.LiteralC<"ABORTED">]>;
        output: t.AnyC;
    }>;
    ArgumentsTransformer: (args: {
        executionId: string;
    }) => {
        params: {
            executionId: string;
        };
        body: {};
        query: {};
    };
};
export declare type DescribeExecution = ExtractSchemaTypes<typeof DescribeExecutionSchema>;
export declare const GetClientAppConfigSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "GET";
    Mode: "SYNC";
    Params: t.TypeC<{}>;
    Body: t.TypeC<{}>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.getClientAppConfig>;
        payload: t.TypeC<{}>;
    }>;
    Result: t.TypeC<{
        clientId: t.StringC;
        userPoolId: t.StringC;
    }>;
    ArgumentsTransformer: (args?: {} & {} & {}) => {
        params: {};
        body: {};
        query: {};
    };
};
export declare type GetClientAppConfig = ExtractSchemaTypes<typeof GetClientAppConfigSchema>;
