import * as t from 'io-ts';
import { InstallerEventNames } from '../../../constants';
import { ExtractSchemaTypes } from '../../../schemas';
export declare const SetEnvironmentVariablesSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "PUT";
    Mode: "SYNC";
    Params: t.TypeC<{
        deploymentId: t.StringC;
    }>;
    Body: t.TypeC<{
        variables: t.RecordC<t.StringC, t.StringC>;
    }>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.updateEnvironmentVariables>;
        payload: t.TypeC<{
            deploymentId: t.StringC;
            userId: t.StringC;
            variables: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NullC]>>;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: ({ deploymentId, variables }: {
        deploymentId: string;
    } & {
        variables: {
            [x: string]: string;
        };
    } & {}) => {
        params: {
            deploymentId: string;
        };
        body: {
            variables: {
                [x: string]: string;
            };
        };
        query: {};
    };
};
export declare type SetEnvironmentVariables = ExtractSchemaTypes<typeof SetEnvironmentVariablesSchema>;
export declare const RemoveEnvironmentVariablesSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "DELETE";
    Mode: "SYNC";
    Params: t.TypeC<{
        deploymentId: t.StringC;
    }>;
    Body: t.TypeC<{
        variables: t.ArrayC<t.StringC>;
    }>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.updateEnvironmentVariables>;
        payload: t.TypeC<{
            deploymentId: t.StringC;
            userId: t.StringC;
            variables: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NullC]>>;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: ({ deploymentId, variables }: {
        deploymentId: string;
    } & {
        variables: string[];
    } & {}) => {
        params: {
            deploymentId: string;
        };
        body: {
            variables: string[];
        };
        query: {};
    };
};
export declare type RemoveEnvironmentVariables = ExtractSchemaTypes<typeof RemoveEnvironmentVariablesSchema>;
export declare const ListEnvironmentVariablesSchema: {
    Namespace: string;
    Description: string;
    Path: string;
    Method: "GET";
    Mode: "SYNC";
    Params: t.TypeC<{
        deploymentId: t.StringC;
    }>;
    Body: t.TypeC<{}>;
    Query: t.TypeC<{}>;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.listEnvironmentVariables>;
        payload: t.TypeC<{
            deploymentId: t.StringC;
            userId: t.StringC;
        }>;
    }>;
    Result: t.RecordC<t.StringC, t.StringC>;
    ArgumentsTransformer: ({ deploymentId }: {
        deploymentId: string;
    } & {} & {}) => {
        params: {
            deploymentId: string;
        };
        body: {};
        query: {};
    };
};
export declare type ListEnvironmentVariables = ExtractSchemaTypes<typeof ListEnvironmentVariablesSchema>;
