import * as t from 'io-ts';
import { InstallerEventNames } from '../constants';
import { ExtractSchemaTypes } from '../schemas';
export declare const GetAssetsStageBucketUploadSignedUrlsSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.getAssetsStageBucketUploadSignedUrls>;
        payload: t.TypeC<{
            assets: t.ArrayC<t.StringC>;
        }>;
    }>;
    Result: t.RecordC<t.StringC, t.StringC>;
    ArgumentsTransformer: unknown;
};
export declare type GetAssetsStageBucketUploadSignedUrls = ExtractSchemaTypes<typeof GetAssetsStageBucketUploadSignedUrlsSchema>;
export declare const GetAssetsVersionBucketUploadSignedUrlsSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.getAssetsVersionBucketUploadSignedUrls>;
        payload: t.TypeC<{
            version: t.StringC;
            assets: t.ArrayC<t.StringC>;
        }>;
    }>;
    Result: t.RecordC<t.StringC, t.StringC>;
    ArgumentsTransformer: unknown;
};
export declare type GetAssetsVersionBucketUploadSignedUrls = ExtractSchemaTypes<typeof GetAssetsVersionBucketUploadSignedUrlsSchema>;
export declare const InstallAssetsBucketSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.installAssetsBucket>;
        payload: t.UnknownRecordC;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: unknown;
};
export declare type InstallAssetsBucket = ExtractSchemaTypes<typeof InstallAssetsBucketSchema>;
export declare const InstallVersionResourcesSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.installVersionResources>;
        payload: t.TypeC<{
            version: t.StringC;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: unknown;
};
export declare type InstallVersionResources = ExtractSchemaTypes<typeof InstallVersionResourcesSchema>;
export declare const UninstallAssetsBucketSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.uninstallAssetsBucket>;
        payload: t.TypeC<{
            skipS3: t.BooleanC;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: unknown;
};
export declare type UninstallAssetsBucket = ExtractSchemaTypes<typeof UninstallAssetsBucketSchema>;
export declare const UninstallVersionAssetsFolderSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.uninstallVersionAssetsFolder>;
        payload: t.TypeC<{
            version: t.StringC;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: unknown;
};
export declare type UninstallVersionAssetsFolder = ExtractSchemaTypes<typeof UninstallVersionAssetsFolderSchema>;
export declare const UninstallVersionResourcesSchema: {
    Namespace: unknown;
    Description: unknown;
    Path: unknown;
    Method: never;
    Mode: never;
    Params: unknown;
    Body: unknown;
    Query: unknown;
    Event: t.TypeC<{
        name: t.LiteralC<InstallerEventNames.uninstallVersionResources>;
        payload: t.TypeC<{
            version: t.StringC;
        }>;
    }>;
    Result: t.VoidC;
    ArgumentsTransformer: unknown;
};
export declare type UninstallVersionResources = ExtractSchemaTypes<typeof UninstallVersionResourcesSchema>;
